#!/bin/sh
set -e

for implementation in ref10 amd64-51-30k amd64-64-24k donna donna-sse2; do
    ./configure \
        --enable-${implementation} \
        --enable-binsearch=yes
    make -j 4
    strip mkp224o
    mv mkp224o /usr/local/bin/mkp224o-${implementation}
    make clean
done
